=== debian/changelog ===
cups (1.4.4-7+squeeze9) squeeze-lts; urgency=medium

  * Add the previous patch name into debian/patches/00list, it wasn't applied

 -- Didier Raboud <odyx@debian.org>  Sat, 18 Jul 2015 12:40:10 +0200

cups (1.4.4-7+squeeze8) squeeze-lts; urgency=medium

  * Import 1.4 upstream fix for CERT VU#810572: Privilege escalation through
    dynamic linker and isolated vulnerabilities: STR: #4609, VU#810572
    - CVE-2015-1158 - Improper Update of Reference Count
    - CVE-2015-1159 - Cross-Site Scripting

 -- Didier Raboud <odyx@debian.org>  Tue, 09 Jun 2015 10:05:40 +0200

cups (1.4.4-7+squeeze7) squeeze-lts; urgency=medium

  * Backport upstream patches to fix:
    - Buffer overflow in cupsRasterReadPixels (STR #4551), fixes CVE-2014-2679

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 27 Feb 2015 03:19:52 +0000

cups (1.4.4-7+squeeze6) squeeze-lts; urgency=medium

  * Backport upstream patches to fix:
    - insufficient checking when allowing files download from the webinterface
      (STR #4455), fixes CVE-2014-5029, CVE-2014-5030 and CVE-2014-5031
    - privilege escalation through the CUPS webinterface (STR #4450), fixes
      CVE-2014-3537.

 -- Didier Raboud <odyx@debian.org>  Wed, 30 Jul 2014 09:02:13 +0200

cups (1.4.4-7+squeeze5) oldstable; urgency=low

  * Import upstream patch to fix XSS in the CUPS webinterface (STR #4356),
    fixes CVE-2014-2856

 -- Didier Raboud <odyx@debian.org>  Sat, 03 May 2014 15:43:50 +0200

cups (1.4.4-7+squeeze4) oldstable-security; urgency=high

  * Backport security fix from cups-filters 1.0.47:
    pdftoopvp: SECURITY FIX for CVE-2013-6474, CVE-2013-6475, and
    CVE-2013-6476: Introduction of gmallocn and gmallocn3 to protect against
    arbitrary code execution with the privileges of the "lp" user via
    malicious PDF files. Also restrict the directory from where OPVP drivers
    can get loaded (Closes: #741333)

 -- Didier Raboud <odyx@debian.org>  Tue, 11 Mar 2014 14:42:08 +0100

cups (1.4.4-7+squeeze3) stable; urgency=low

  [ Didier Raboud ]
  * Ship cups-files.conf's manpage in cups (Closes: #697543)
    - Update the configuration files split patch to also build the
      manpage;
    - Install the english manpage.
  * Generate translated cups-files.conf's manpage in the po4a
    infrastructure.
  * Minimally update French manpage translation

  [ Helge Kreutzmann ]
  * Update German manpage translation. (Closes: #697860)

 -- Didier Raboud <odyx@debian.org>  Sat, 12 Jan 2013 17:46:27 +0100

cups (1.4.4-7+squeeze2) stable-security; urgency=high

  * Backport upstream configuration files split:
    - Add split-configuration-files-STR4223.dpatch
    - Install the new cups-files.conf
    Fixes: CVE-2012-5519 (Closes: #692791)
  * Make cupsd.conf a non-conffile, as it is managed by cups itself.
    - On new installs, set it up from cupsd.conf.default.
    - On upgrades, move it away in preinst and move it back in postinst.
    - On aborted upgrades, move the file back in place.
    - On purge, delete it too.
  * Document changes in cups.NEWS.

 -- Didier Raboud <odyx@debian.org>  Sat, 29 Dec 2012 12:33:27 +0100

cups (1.4.4-7+squeeze1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * debian/patches:
    - str3867 added, fix an infinite loop / heap-based buffer overflow in the
      gif_read_lzw() function (CVE-2011-2896)
    - str3914 added, complete the fix for the previous issue (CVE-2011-3170).

 -- Yves-Alexis Perez <yves-alexis.perez@ssi.gouv.fr>  Mon, 28 Nov 2011 15:07:37 +0100

cups (1.4.4-7) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/local/filters/pdf-filters/pdftopdf/parseargs.c,
    debian/local/filters/pdf-filters/pdftopdf/parseargs.cxx,
    debian/local/filters/pdf-filters/pdftopdf/parseargs.h,
    debian/local/filters/pdf-filters/pdftopdf/Makefile: Made pdftopdf
    building with Poppler 0.15.x. Thanks to Koji Otani for this patch.
  * debian/control: Added dependency on "cups-ppdc" package to the "cups"
    package, so that the PPDs of the drivers which come with CUPS get built
    (LP: #485383).

  [ Martin Pitt ]
  * ubuntu-upstart.dpatch: Wait until daemon is ready, to avoid race
    conditions with init scripts which expect cups tools to work right after
    restarting it. (LP: #647369)
  * ubuntu-upstart.dpatch: If D-BUS is not available, start on runlevels 2 to
    5, so that this also works in server environments. (LP: #650893)
  * debian/local/apparmor-profile: Allow access to /usr/local/lib/cups/**.
    (LP: #160092)
  * debian/local/apparmor-profile: Allow reading /usr/local/**, in case
    third-party printer drivers need auxiliary files.
  * debian/local/apparmor-profile: Allow reading /var/run/**. (LP: #659961)
  * ubuntu-upstart.dpatch: Time out after 5 seconds when the local socket
    doesn't get created. Apparently a lot of users disable it in cupsd.conf.
    (LP: #672438)
  * debian/local/filters/pdf-filters/addtocups: Link pdftoijs with $(CXX),
    since it's a C++ program. Fixes FTBFS with gcc 4.5.
  * debian/local/filters/pdf-filters/pdftopdf/Makefile: Explicitly pdftopdf
    with -lz. gcc 4.5 does not automatically link to transitive library
    dependencies any more.
  * drop_unnecessary_dependencies.dpatch: Drop hunk for reduced krb5/gssapi
    linkage. With gcc 4.5, we now need -lkrb5.
  
  [ Marc Deslauriers ]
  * Add CVE-2010-2941.dpatch: Fix denial of service and possible code execution
    via invalid free. Skip over and reserve unused tags in cups/ipp.{c,h}.
    [CVE-2010-2941]

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 Nov 2010 11:07:33 +0100

cups (1.4.4-6) unstable; urgency=low

  * debian/cups.preinst: Go back to using lsb-release, since dpkg-vendor is
    not installed by default (it's in dpkg-dev). Bump the version guard to
    this version, to reattempt the migration. (LP: #645328)

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 Sep 2010 08:47:11 +0200

cups (1.4.4-5) unstable; urgency=low

  [ Martin Pitt ]

