=== debian/watch ===
version=3
http://ftp.cups.org/pub/cups/([\d\.]+)/cups-(.*)-source\.tar\.gz \
	debian uupdate --no-symlink
